import { ObservableArray } from '@nativescript/core';
import { Ref } from 'nativescript-vue';
/**
 * Reactive synchronization between a reactive array with ObservableArray.
 *
 * @param arrayWatchTarge
 * @param options
 */
export declare function useSyncObservableArray<T>(arrayRef: Ref<T[]> | T[], options?: {
    addRemoveByField?: string;
    excludeCompareFields?: string[];
    watchUpdates?: boolean;
    checkRemoved?: boolean;
    checkAdded?: boolean;
    checkUpdates?: boolean;
}): {
    sync: (newArray?: any) => void;
    observableArray: ObservableArray<T>;
};
